package com.persagy.dmp.rwd.edit.model;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.rwd.edit.entity.RwdeditRefTypeInfos;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Setter
@Getter
public class RwdeditRefTypeModel {

    private String refKey;
    private String name;
    private Integer createUser;
    private ArrayNode extendProperties;
    private Date createTime;
    private Integer updateUser;
    private Date updateTime;
    private Integer seq;
    private Integer showPosition;
    private List<RwdeditRefTypeInfos> infos;
}
