package com.persagy.dmp.rwd.model;

import com.persagy.dmp.rwd.enums.ObjType;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Setter
@Getter
public class ClassDefModel {

    private String id;
    private String code;
    private ObjType objType;
    private String name;
    private String aliasCode;
    private String aliasName;
    private String type;
    private String groupCode;
    private String projectId;
    private String majorCode;
    private String systemCode;
    private String equipmentCode;
    private String parentCode;

    private Integer isUsed;//状态 0.历史版本 1.使用中
    private String version;//版本
    private Date lastUpdateTime;//最后更新时间

}
