package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.edit.config.shiro.UserModel;
import com.persagy.dmp.rwd.edit.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwdedit")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping("/login")
    public MapResponse login(@RequestBody UserModel userModel) {
        System.out.println("controller : /rwdedit/login");
        return userService.login(userModel);
    }

    @PostMapping("/logout")
    public MapResponse login() {
        return userService.logout();
    }

    @PostMapping("/userInfo")
    public MapResponse userInfo() {
        return userService.userInfo();
    }
}
