package com.persagy.dmp.rwd.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.json.JacksonMapper;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.model.ClassDefWdModel;
import com.persagy.dmp.rwd.service.ClassDefWdService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/rwd/def/class/wd")
public class ClassDefWdController {
    @Autowired
    private ClassDefWdService service;

//	@PostMapping("")
//	public ListResponse<ClassDefModel> queryClass(@RequestParam(name = "groupCode", required = false) String groupCode,
//												  @RequestParam(name = "schemaId", required = false) String schemaId,
//												  @RequestParam(name = "projectId", required = false) String projectId,
//												  @RequestParam(name = "appId", required = false) String appId,
//												  @RequestParam(name = "subFlag", required = false, defaultValue = "false") Boolean subFlag,
//												  @RequestBody JacksonCriteria criteria) {
//		log.info("/class/query: {}", JacksonMapper.toSimpleJson(criteria));
//		return service.queryClass(groupCode, schemaId, projectId, appId, subFlag, criteria);
//	}

    @PostMapping("/query")
    public PagedResponse<ClassDefWdModel> query(@RequestBody JacksonCriteria criteria) {
        log.info("================================= /class/query: {}", JacksonMapper.toSimpleJson(criteria));
        return service.query(criteria);
    }

//	@PostMapping("/create")
//	public MapResponse create(@RequestBody ClassDefModel param){
//		return service.create(param);
//	}
//
//	@PostMapping("/update")
//	public MapResponse update(@RequestBody ClassDefModel param){
//		return service.update(param);
//	}
//
//	@PostMapping("/delete")
//	public MapResponse delete(@RequestBody ClassDefModel param){
//		return service.delete(param);
//	}

}
